{% extends 'base.html' %}
{% load static %}

{% block modal_cart %}
    {% include "includes/cart_button.html" %}
{% endblock modal_cart %}

{% block content %}
    <div class="row">
        <div class="container mt-5">
            <div class="row justify-content-center">
                <div class="col-md-9 bg-white p-4 mb-5 mx-2 rounded custom-shadow">
                    <h2 class="text-center mb-4">Регистрация</h2>
                    <form action="{% url "user:registration" %}" method="post">
                        {% csrf_token %}
                        <div class="row">
                            <div class="col-md-6 mb-3">
                                <label for="id_first_name" class="form-label">Имя*</label>
                                <input type="text" class="form-control" id="id_first_name"
                                    value="{% if form.first_name.value %}{{ form.first_name.value }}{% endif %}"
                                    name="first_name"
                                    placeholder="Введите ваше имя" required>
                                {% if form.first_name.errors %}
                                    <div class="alert alert-danger alert-dismissible fade show">{{ form.first_name.errors }}</div>
                                {% endif %}
                            </div>
                            <div class="col-md-6 mb-3">
                                <label for="id_last_name" class="form-label">Фамилия*</label>
                                <input type="text" class="form-control" id="id_last_name"
                                    value="{% if form.last_name.value %}{{ form.last_name.value }}{% endif %}"
                                    name="last_name"
                                    placeholder="Введите вашу фамилию" required>
                                {% if form.last_name.errors %}
                                    <div class="alert alert-danger alert-dismissible fade show">{{ form.last_name.errors }}</div>
                                {% endif %}
                            </div>
                            <div class="col-md-6 mb-3">
                                <label for="id_username" class="form-label">Имя пользователя*</label>
                                <input type="text" class="form-control" id="id_username"
                                    value="{% if form.username.value %}{{ form.username.value }}{% endif %}"
                                    name="username"
                                    placeholder="Введите ваше имя пользователя" required>
                                {% if form.username.errors %}
                                    <div class="alert alert-danger alert-dismissible fade show">{{ form.username.errors }}</div>
                                {% endif %}
                            </div>
                            <div class="col-md-6 mb-3">
                                <label for="id_email" class="form-label">Email*</label>
                                <input type="email" class="form-control" id="id_email"
                                    value="{% if form.email.value %}{{ form.email.value }}{% endif %}"
                                    name="email"
                                    placeholder="Введите ваш email" required>
                                {% if form.email.errors %}
                                    <div class="alert alert-danger alert-dismissible fade show">{{ form.email.errors }}</div>
                                {% endif %}
                            </div>
                            <div class="col-md-6 mb-3">
                                <label for="id_password1" class="form-label">Пароль*</label>
                                <input type="password" class="form-control" id="id_password1"
                                    value="{% if form.password1.value %}{{ form.password1.value }}{% endif %}"
                                    name="password1"
                                    placeholder="Введите пароль" required>
                                {% if form.password1.errors %}
                                    <div class="alert alert-danger alert-dismissible fade show">{{ form.password1.errors }}</div>
                                {% endif %}
                            </div>
                            <div class="col-md-6 mb-3">
                                <label for="id_password2" class="form-label">Подтверждение пароля*</label>
                                <input type="password" class="form-control" id="id_password2"
                                    value="{% if form.password2.value %}{{ form.password2.value }}{% endif %}"
                                    name="password2"
                                    placeholder="Подтвердите пароль" required>
                                {% if form.password2.errors %}
                                    <div class="alert alert-danger alert-dismissible fade show">{{ form.password2.errors }}</div>
                                {% endif %}
                            </div>
                        </div>
                        <button type="submit"
                            class="btn btn-dark btn-block">Зарегистрироваться</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
{% endblock content %}